libsigc++ 2.2.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

sigc::functor_base Struct Reference
Functors

A hint to the compiler. More...

`#include <sigc++/functors/functor_trait.h>`

Inheritance diagram for sigc::functor_base:
[legend]

## Detailed Description

A hint to the compiler.

All functors which define `result_type` should publically inherit from this hint.